%define majver %(echo %version | cut -d. -f1-2)
Name:          libsecret
Version:       0.18.5
Release:       1mamba
Summary:       GObject based library for accessing the Secret Service API
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://live.gnome.org
Source:        http://ftp.acc.umu.se/pub/GNOME/sources/libsecret/%{majver}/libsecret-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gtk-doc
BuildRequires: libffi-devel
BuildRequires: libgcrypt-devel
BuildRequires: libglib-devel
BuildRequires: libgpg-error-devel
BuildRequires: libselinux-devel
BuildRequires: libz-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GObject based library for accessing the Secret Service API.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Security
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%configure --enable-gtk-doc
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libsecret-1.so.*
%{_libdir}/girepository-1.0/Secret-1.typelib
#%{_libdir}/girepository-1.0/SecretUnstable-0.typelib
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libsecret-1
%dir %{_includedir}/libsecret-1/libsecret
%{_includedir}/libsecret-1/libsecret/*.h
%{_libdir}/libsecret-1.a
%{_libdir}/libsecret-1.la
%{_libdir}/libsecret-1.so
%{_libdir}/pkgconfig/libsecret-1.pc
%{_libdir}/pkgconfig/libsecret-unstable.pc
%{_datadir}/gir-1.0/Secret-1.gir
#%{_datadir}/gir-1.0/SecretUnstable-0.gir
%{_datadir}/vala/vapi/*
%doc ChangeLog NEWS README

%files tools
%defattr(-,root,root)
%{_bindir}/secret-tool
%{_mandir}/man1/secret-tool.1*

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/libsecret-1
%{_datadir}/gtk-doc/html/libsecret-1/*

%changelog
* Thu Mar 31 2016 Automatic Build System <autodist@mambasoft.it> 0.18.5-1mamba
- automatic version update by autodist

* Wed Jan 20 2016 Automatic Build System <autodist@mambasoft.it> 0.18.4-1mamba
- automatic version update by autodist

* Mon Aug 03 2015 Automatic Build System <autodist@mambasoft.it> 0.18.3-1mamba
- automatic version update by autodist

* Sun May 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.18.2-1mamba
- update to 0.18.2

* Sat Mar 08 2014 Automatic Build System <autodist@mambasoft.it> 0.18-1mamba
- automatic version update by autodist

* Mon Oct 07 2013 Automatic Build System <autodist@mambasoft.it> 0.16-1mamba
- automatic version update by autodist

* Tue Mar 19 2013 Automatic Build System <autodist@mambasoft.it> 0.15-1mamba
- automatic version update by autodist

* Fri Mar 08 2013 Automatic Build System <autodist@mambasoft.it> 0.14-1mamba
- automatic version update by autodist

* Mon Feb 04 2013 Automatic Build System <autodist@mambasoft.it> 0.13-1mamba
- automatic version update by autodist

* Wed Nov 21 2012 Automatic Build System <autodist@mambasoft.it> 0.12-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 0.11-1mamba
- automatic version update by autodist

* Sun Oct 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-1mamba
- package created by autospec
